Bug 603500 - [abrt] crash in radiotray-0.5.1-3.fc13: AudioPlayerGStreamer.py:49:playNextStream:TypeError: object of type 'NoneType' has no len()
Summary: [abrt] crash in radiotray-0.5.1-3.fc13: AudioPlayerGStreamer.py:49:playNextSt...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: radiotray (Show other bugs)
(Show other bugs)
Version: 13
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Jean-Francois Saucier
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5fed080b
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-13 14:50 UTC by Sigitas Mockus
Modified: 2010-07-23 02:35 UTC (History)
1 user (show)

Fixed In Version: radiotray-0.6-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-23 02:29:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (789 bytes, text/plain)
2010-06-13 14:50 UTC, Sigitas Mockus
no flags Details

Description Sigitas Mockus 2010-06-13 14:50:49 UTC
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/radiotray
component: radiotray
executable: /usr/bin/radiotray
kernel: 2.6.33.5-112.fc13.i686.PAE
package: radiotray-0.5.1-3.fc13
reason: AudioPlayerGStreamer.py:49:playNextStream:TypeError: object of type 'NoneType' has no len()
release: Fedora release 13 (Goddard)

backtrace
-----
AudioPlayerGStreamer.py:49:playNextStream:TypeError: object of type 'NoneType' has no len()

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/radiotray/SysTray.py", line 123, in on_start
    self.mediator.play(radio)
  File "/usr/lib/python2.6/site-packages/radiotray/StateMediator.py", line 48, in play
    self.audioPlayer.start(url)
  File "/usr/lib/python2.6/site-packages/radiotray/AudioPlayerGStreamer.py", line 46, in start
    self.playNextStream()
  File "/usr/lib/python2.6/site-packages/radiotray/AudioPlayerGStreamer.py", line 49, in playNextStream
    if(len(self.playlist) > 0):
TypeError: object of type 'NoneType' has no len()

Local variables in innermost frame:
self: <radiotray.AudioPlayerGStreamer.AudioPlayerGStreamer instance at 0x9a6bb6c>

Comment 1 Sigitas Mockus 2010-06-13 14:50:52 UTC
Created attachment 423641 [details]
File: backtrace

Comment 2 Jean-Francois Saucier 2010-06-16 17:39:16 UTC
Hi,

Thanks for reporting this issue. Can you write what you were doing with radiotray at the moment of the bug : simply listening, adding radio, editing radio, etc.

That will help me to track down the bug in this package better.


Thank you.

Comment 3 Fedora Update System 2010-07-08 15:01:55 UTC
radiotray-0.6-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/radiotray-0.6-1.fc13

Comment 4 Fedora Update System 2010-07-08 15:10:01 UTC
radiotray-0.6-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/radiotray-0.6-1.fc12

Comment 5 Fedora Update System 2010-07-13 07:50:10 UTC
radiotray-0.6-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update radiotray'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/radiotray-0.6-1.fc12

Comment 6 Fedora Update System 2010-07-13 07:54:15 UTC
radiotray-0.6-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update radiotray'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/radiotray-0.6-1.fc13

Comment 7 Fedora Update System 2010-07-23 02:29:19 UTC
radiotray-0.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-07-23 02:35:14 UTC
radiotray-0.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.